data "docker_registry_image" "deckchores" {
  name = "funkyfuture/deck-chores:1"
}

resource "docker_service" "deckchores" {
  name = "deckchores"

  task_spec {
    container_spec {
      image = "${data.docker_registry_image.deckchores.name}@${data.docker_registry_image.deckchores.sha256_digest}"

      env = {
        TIMEZONE       = "Europe/Berlin"
        DEFAULT_FLAGES = "noservice"
      }

      labels {
        label = "shepherd.auto-update"
        value = "true"
      }

      mounts {
        target = "/var/run/docker.sock"
        source = "/var/run/docker.sock"
        type   = "bind"
      }
    }
  }
}
