data "docker_registry_image" "jitsi_jicofo" {
  name = "jitsi/jicofo:stable"
}

resource "docker_service" "jitsi_jicofo" {
  name = "jitsi_jicofo"

  labels {
    label = "shepherd.auto-update"
    value = "true"
  }

  task_spec {
    networks_advanced {
      name = docker_network.jitsi.id
    }

    container_spec {
      image = "${data.docker_registry_image.jitsi_jicofo.name}@${data.docker_registry_image.jitsi_jicofo.sha256_digest}"

      env = {
        TZ                       = "Europe/Berlin"
        JICOFO_AUTH_USER         = "focus"
        JICOFO_AUTH_PASSWORD     = nonsensitive(var.secrets.jicofo_auth_password)
        JIBRI_BREWERY_MUC        = "jibribrewery"
        JIGASI_BREWERY_MUC       = "jigasibrewery"
        JVB_BREWERY_MUC          = "jvbbrewery"
        XMPP_DOMAIN              = "meet.jitsi"
        XMPP_AUTH_DOMAIN         = "auth.meet.jitsi"
        XMPP_INTERNAL_MUC_DOMAIN = "internal-muc.meet.jitsi"
        XMPP_MUC_DOMAIN          = "muc.meet.jitsi"
        XMPP_RECORDER_DOMAIN     = "recorder.meet.jitsi"
        XMPP_SERVER              = "jitsi_prosody"
      }
    }
  }
}
